#
# Small example of the Panemanager
#
package require Mtiwidgets

# Create a pane manager
mtiwidgets::panemanager .pm

# Create 3 frames to place in the manager.  
# Any widgets can be placed in the manager, but only
# Paneframe's can be moved around by the user.
mtiwidgets::paneframe .f1 -text F1
mtiwidgets::paneframe .f2 -text F2
mtiwidgets::paneframe .f3 -text List

# Create some interesting content for the three panes
set t1 [text [.f1 childsite].t]
set t2 [text [.f2 childsite].t]
set l3 [listbox [.f3 childsite].l]
pack $t1 -fill both -expand 1
pack $t2 -fill both -expand 1
pack $l3 -fill both -expand 1

# Add the frames to the pane manager
.pm add .f3 {} e -stretch never
.pm add .f1 .f3 e -stretch always
.pm add .f2 .f1 s -stretch always

# Tell the paneframe who's managing them.
# Also tell the paneframe where to send focus when the pane is active 
.f1 configure -panemanager .pm -window $t1
.f2 configure -panemanager .pm -window $t2
.f3 configure -panemanager .pm -window $l3

# Lastly, map the pane manager onto the screen
pack .pm -fill both -expand 1

# If you want to save the layout after moving things around, 
# the following will return a string that can be used later
# to restore the layout.
set savedLayout [.pm serialize]

